const routerList = [
  //库存管理
  {
    name: "调拨流程",
    type: "DBD",
    toRouter: "/stock/allotDetail",
    to: "id",
    isok: true
  },
  {
    name: "盘点流程",
    type: "PDD",
    toRouter: "/stock/checkDetail",
    to: "id",
    isok: true
  },

  //采购
  {
    name: "采购单流程",
    type: "CGD",
    toRouter: "/purchaseIn/purchaseOrderDetail",
    to: "code",
    isok: true
  },

  {
    name: "采购入库单流程",
    type: "RKD",
    toRouter: "/purchaseIn/wsmInOrderDetail",
    to: "code",
    isok: true
  },

  {
    name: "采购单退货流程",
    type: "CGTHD",
    toRouter: "/purchaseIn/purchaseReturnDetail",
    to: "code",
  },

  {
    name: "采购工差单流程",
    type: "CGGCD",
    toRouter: "/purchaseIn/purchaseDiffOrderDetail",
    to: "id",
  },



  //商品管理
  {
    name: "商品成本流程",
    type: "SPCB",
    toRouter: "/goodStore/goodsCostDetail",
    to: "code",
  },
  {
    name: "商品上线流程",
    type: "SPSX",
    toRouter: "/goodStore/goodsOnlineDetail",
    to: "code",
  },
  {
    name: "商品下线流程",
    type: "GOL",
    toRouter: "/goodStore/goodsOfflineDetail",
    to: "id",
  },
  {
    name: "活动流程",
    type: "HD",
    toRouter: "/goodStore/activeDetail",
    to: "code",
  },
  //权限
  {
    name: "离职交接流程",
    type: "LZJJ",
    toRouter: "/interest/handoverDetail",
    to: "id",
  },


  //销售
  {
    name: "项目流程",
    type: "PRO",
    toRouter: "/sellOut/projectDetail",
    to: "code",
  },
  {
    name: "竞价单流程",
    type: "ZXD",
    toRouter: "/sellOut/zixunOrderDetail",
    to: "code",
    isok: false
  },
  {
    name: "议价单流程",
    type: "YJD",
    toRouter: "/sellOut/bargainListDetail",
    to: "code",
  },
  {
    name: "备库申请流程",
    type: "BHD",
    toRouter: "/sellOut/stockApplyDetail",
    to: "id",
    isok: true
  },


  {
    name: "销售订单流程",
    type: "XSQRD",
    toRouter: "/sellOut/salesOrderDetail",
    to: "id",
  },
  {
    name: "发货申请单流程",
    type: "CKD",
    toRouter: "/sellOut/sellOutOrderDetail",
    to: "code",
  },
  {
    name: "销售售后申请单流程",
    type: "SHD",
    toRouter: "/sellOut/sellAfterApplyDetail",
    to: "code",
    isok: true
  },
  {
    name: "销售售后退货流程",
    type: "CKTHD",
    toRouter: "/sellOut/returnOrderDetail",
    to: "code",
    isok: true
  },
  {
    name: "销售退货流程",
    type: "XSTHD",
    toRouter: "/sellOut/sellReturnDetail",
    to: "code",
    isok: true
  },
  {
    name: "销售工差单流程",
    type: "XSGCD",
    toRouter: "/sellOut/zxDiffOrderDetail",
    to: "id",
  },


];
const columns = [
  {
    prop: "order_code",
    label: "业务编号",
  },
  {
    prop: "process_name",
    label: "流程名称",
    // sortable: true,

  },
  {
    prop: "status_name",
    label: "流程状态",
    // sortable: true,

  },
  {
    prop: "apply_name",
    label: "申请人",
  },

  {
    prop: "action_name",
    label: "操作人",
  },
  {
    prop: "addtime",
    label: "申请时间",
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    _slot_: "operation",
    width: "50",
  }
]

const readUnRead =[
  {
    type: "selection",
    fixed: "left",
    _noset_: true,
  },
  {
    prop: "orderCode",
    label: "业务编号",
    minWidth:"155px",
  },
  {
    prop: "process_name",
    label: "流程名称",
    minWidth:"155px",
    // sortable: true,
  },
  {
    prop: "order_name",
    label: "流程状态",
    minWidth:"155px",
    // sortable: true,
  },

  {
    prop: "content",
    minWidth:"155px",
    label: "内容",
  },

  {
    prop: "apply_name",
    minWidth:"95px",
    label: "申请人",
  },
  {
    prop: "action_name",
    minWidth:"95px",
    label: "操作人",
  },

  {
    prop: "addtime",
    minWidth:"155px",
    label: "申请时间",
  },
  {
    prop: "",
    label: "操作",
    fixed: "right",
    _noset_: true,
    _slot_: "operation",
    width: "50",
  }
]


export { routerList, columns,readUnRead }